import { jsx } from "react/jsx-runtime";
import { TokenHBAR as TokenHBAR$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenHBAR = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "HBAR", "data-name": "TokenHBAR", ...props, children: /* @__PURE__ */ jsx(TokenHBAR$1, { variant }) });
  }
);
TokenHBAR.displayName = "TokenHBAR";
Object.assign(TokenHBAR, { isGdsIcon: true });
export {
  TokenHBAR
};
